Subject: bug#49204: 28.0.50; How to create new file in project by project-find-file

From: Dmitry Gutov <[email-masked]>
Date: Wed, 21 Jul 2021 03:29:43 +0300

On 20.07.2021 05:58, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> I haven't followed the discussion, so I might be off, but I think what
> is described above is something you can get simply by passing the
> appropriate value for `mustmatch` to `completing-read` and friends
> (including `read-file-name`).

Probably not: most third-party completion functions out there don't 
support any non-nil values of that argument other than t (or treat them 
like t).

corfu and vertico support 'confirm', but they're probably not popular 
enough yet to justify that choice.

And suppose we chose to use 'confirm', would a neutral prompt "Confirm" 
without clarification, as opposed to something like "File does not 
exist; Create?", be our best choice?